Get components for a screening
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/{screeningPublicId}/components \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/{screeningPublicId}/components';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "screeningComponent_xxxxxxxxxxxx",
"amount": 123,
"applicationWaste": 123,
"excludePallet": true,
"excludedScreeningMaterials": [
{
"publicId": "screeningMaterial_xxxxxxxxxxxx"
}
],
"sourceScreening": {
"type": "Product",
"product": {
"name": "<string>",
"customer": {
"name": "<string>"
}
}
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Components
Get components for a screening
Paginated with defaults page=1, pageSize=50
GET
/
screenings
/
{screeningPublicId}
/
components
Get components for a screening
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/{screeningPublicId}/components \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/{screeningPublicId}/components';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "screeningComponent_xxxxxxxxxxxx",
"amount": 123,
"applicationWaste": 123,
"excludePallet": true,
"excludedScreeningMaterials": [
{
"publicId": "screeningMaterial_xxxxxxxxxxxx"
}
],
"sourceScreening": {
"type": "Product",
"product": {
"name": "<string>",
"customer": {
"name": "<string>"
}
}
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}